const insertDocument = async (client, table, { domain, id, ...data }) =>
  client.query(
    `insert into ${table}
      values($1, now(), $2, $3)
    on conflict (id) do update set
      updated_at = now(),
      domain = EXCLUDED.domain,
      document = EXCLUDED.document`,
    [id, domain, data]
  );

export default insertDocument;
