const enqueue = (boss, queue, message) =>
  boss.publish(queue, message, {
    deleteAfterDays: 3,
    expireInMinutes: 10,
    priority: message.priority || 0,
    retryDelay: 60 * 5,
    retryLimit: 3,
    singletonKey: 'key' in message ? message.key : message.url,
  });

export default enqueue;
